Weikio.PluginFramework 1.5.1

.NET Core 3.1
Install-Package Weikio.PluginFramework -Version 1.5.1
dotnet add package Weikio.PluginFramework --version 1.5.1
<PackageReference Include="Weikio.PluginFramework" Version="1.5.1" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Weikio.PluginFramework --version 1.5.1
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: Weikio.PluginFramework, 1.5.1"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install Weikio.PluginFramework as a Cake Addin
#addin nuget:?package=Weikio.PluginFramework&version=1.5.1

// Install Weikio.PluginFramework as a Cake Tool
#tool nuget:?package=Weikio.PluginFramework&version=1.5.1
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Everything is a plugin! Use assemblies, NuGet packages and C# Scripts as plugins in your .NET Core Applications.

Product Versions
.NET net5.0 net5.0-windows net6.0 net6.0-android net6.0-ios net6.0-maccatalyst net6.0-macos net6.0-tvos net6.0-windows
.NET Core netcoreapp3.1
Compatible target framework(s)
Additional computed target framework(s)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (8)

Showing the top 5 NuGet packages that depend on Weikio.PluginFramework:

Package Downloads
Weikio.PluginFramework.AspNetCore

Plugin Framework for ASP.NET Core.

Weikio.PluginFramework.Catalogs.NuGet

NuGet catalog for Plugin Framework allows you to use NuGet packages as plugins with Plugin Framework.

Weikio.PluginFramework.Configuration

IConfiguration support for Plugin Framework.

Weikio.PluginFramework.Catalogs.Roslyn

Roslyn catalog for Plugin Framework allows you to use Roslyn scripts as plugins with Plugin Framework.

Weikio.ApiFramework.ApiProviders.PluginFramework

Plugin Framework based Api Provider for Api Framework.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
1.5.1 3,319 10/5/2021
1.5.0 962 9/21/2021
1.4.2 328 9/20/2021
1.4.1 614 6/3/2021
1.3.0 374 5/19/2021
1.2.2 930 2/24/2021
1.2.1 1,995 12/30/2020
1.2.0 350 12/30/2020
1.1.1-alpha.0.1 165 10/27/2020
1.1.0 660 10/14/2020
1.0.0 439 8/3/2020
1.0.0-rc.1.2 224 7/30/2020
1.0.0-alpha.0.17 245 5/14/2020